/// lib.js
try
{
	top.location.href;
}
catch (e)
{
	top.location.href = self.location.href;
}

function okno(el, frame, width, height)
{
	var wnd = window.open(typeof el == 'string' ? el : el.href, typeof frame == 'undefined' ? '' : frame, 'menubar=no,toolbar=no,location=no,directories=no,status=no,scrollbars=yes,resizable=yes' + (typeof width != 'undefined' ? ',width=' + width : '') + (typeof height != 'undefined' ? ',height=' + height : ''));
	if (!wnd) return false;
	wnd.focus();
	return true;
}

function aTarget(el, name)
{
	var wnd = window.open(typeof el == 'string' ? el : el.href, typeof name != 'undefined' ? name : '', 'menubar=yes,toolbar=yes,location=yes,directories=no,status=yes,scrollbars=yes,resizable=yes');
	if (!wnd) return false;
	wnd.focus();
	return true; 
}

Array.prototype.random = function(limit)
{
	if (typeof limit == 'undefined' || limit < 0) limit = 1;
	else if (!limit) limit = this.length;
	for (var i = 0, source = this, target = new Array(), n = source.length; i < limit && n > 0; i++)
	{
		do { var index = Math.random(); } while (index == 1);
		index = Math.floor(index * n);
		target.push(source[index]);
		source[index] = source[--n];
	}
	return target;
}

/// menu.js
/**
 * @author Sławomir Kokłowski {@link http://www.kurshtml.edu.pl}
 * @copyright NIE usuwaj tego komentarza! (Do NOT remove this comment!)
 */

function MainMenu(id, style, otworz, wysun, czasRozwin, czasZwin, czasOtworz, czasZamknij, nieInicjalizuj)
{
	if (typeof czasRozwin == 'undefined' || czasRozwin < 0) czasRozwin = 25;
	if (typeof czasZwin == 'undefined' || czasZwin < 0) czasZwin = 25;
	if (typeof czasOtworz == 'undefined' || czasOtworz < 0) czasOtworz = 250;
	if (typeof czasZamknij == 'undefined' || czasZamknij < 0) czasZamknij = 500;
	
	var url = unescape(window.location.href.replace(/#.*/, '')).replace(/\/[^,\/.]*,/, '/').replace(/\.html.+$/, '.html');
	var base = window.location.protocol + '//' + window.location.host + window.location.pathname.replace(/[^\/\\]+$/, '');
	
	if (style)
	{
		if (style.indexOf(':') < 0)
		{
			document.getElementById(id).className += ' ' + style;
		}
		else
		{
			style = style.replace(/(^\s+|(\s|;)+$)/g, '').split(/\s*;\s*/);
			for (var i = 0; i < style.length; i++)
			{
				style[i] = style[i].split(/\s*:\s*/);
				for (var j = 0, c, property = ''; j < style[i][0].length; j++)
				{
					c = style[i][0].charAt(j);
					property += c == '-' ? style[i][0].charAt(++j).toUpperCase() : c.toLowerCase();
				}
				eval('document.getElementById("' + id + '").style.' + property + ' = "' + style[i][1].replace(/"/g, '\\"') + '"');
			}
		}
	}
	
	for (var i = 0; i < document.getElementById(id).getElementsByTagName('dt').length; i++)
	{
		var dd = new Array();
		var el = document.getElementById(id).getElementsByTagName('dt')[i].nextSibling;
		var nodeName;
		while (el && (nodeName = el.nodeName.toLowerCase()) != 'dt')
		{
			if (nodeName == 'dd')
			{
				el._dt = document.getElementById(id).getElementsByTagName('dt')[i];
				if (otworz)
				{
					el.onmouseover = function()
					{
						clearTimeout(this._dt._timoutID);
						this._dt._displayed = false;
						this._dt.onclick();
					}
					el.onmouseout = function()
					{
						clearTimeout(this._dt._timoutID);
						var dt = this._dt;
						this._dt._timoutID = setTimeout(function () { dt._displayed = true; dt.onclick(); }, czasZamknij);
					};
				}
				dd[dd.length] = el;
			}
			el = el.nextSibling;
		}
		document.getElementById(id).getElementsByTagName('dt')[i]._dd = dd;
		document.getElementById(id).getElementsByTagName('dt')[i]._timoutID = null;
		document.getElementById(id).getElementsByTagName('dt')[i]._displayed = false;
		document.getElementById(id).getElementsByTagName('dt')[i].onclick = function()
		{
			if (window.scrollTo) window.scrollTo(0, document.getElementById(id).offsetTop);
			if (!this._displayed)
			{
				clearTimeout(this._timoutID);
				if (!this._displayed)
				{
					var el = this.parentNode.getElementsByTagName('dt')[0];
					while (el)
					{
						if (el.nodeName.toLowerCase() == 'dt' && el != this)
						{
							el._displayed = false;
							if (czasZwin) display(el, 0);
							else display(el);
						}
						el = el.nextSibling;
					}
				}
				this._displayed = !this._displayed;
				if (this._displayed && czasRozwin || !this._displayed && czasZwin) display(this, 0);
				else display(this);
			}
			return false;
		};
		if (otworz)
		{
			document.getElementById(id).getElementsByTagName('dt')[i].onmouseover = function()
			{
				clearTimeout(this._timoutID);
				var dt = this;
				this._timoutID = setTimeout(function () { dt._displayed = false; dt.onclick(); }, czasOtworz);
			};
			document.getElementById(id).getElementsByTagName('dt')[i].onmouseout = function()
			{
				clearTimeout(this._timoutID);
				var dt = this;
				this._timoutID = setTimeout(function () { dt._displayed = true; dt.onclick(); }, czasZamknij);
			};
		}
	}
	
	start(document.getElementById(id).getElementsByTagName('dt')[0]);
	
	function start(dt)
	{
		var hide = true;
		var el = dt;
		while (el)
		{
			var nodeName = el.nodeName.toLowerCase();
			if (nodeName == 'dt')
			{
				dt = el;
				hide = true;
			}
			if (nodeName == 'dt' || nodeName == 'dd')
			{
				if (!nieInicjalizuj && el.getElementsByTagName('a').length)
				{
					var active = el.getElementsByTagName('a')[0].href && unescape(el.getElementsByTagName('a')[0].href.replace(/#.*/, '')) == url;
					if (!active)
					{
						var rel = el.getElementsByTagName('a')[0].getAttribute('rel');
						if (rel)
						{
							var matches = (' ' + rel + ' ').match(/\s+Collection\(([^)]+)\)\s+/i);
							if (matches)
							{
								matches = matches[1].split(',');
								for (var k = 0, pos = -1; k < matches.length; k++)
								{
									if (matches[k].charAt(0) == '[' && (pos = matches[k].lastIndexOf(']')) > 0)
									{
										if (new RegExp(unescape(matches[k].substring(1, pos)), matches[k].substring(pos + 1)).test(url))
										{
											active = true;
											break;
										}
									}
									else
									{
										if (/^[\/\\]/.test(matches[k])) matches[k] = window.location.protocol + '//' + window.location.host + matches[k];
										else if (!/^[a-z0-9]+:/i.test(matches[k])) matches[k] = base + matches[k];
										if (unescape(matches[k].replace(/[\/\\]\.([\/\\])/g, '$1').replace(/[^\/\\]+[\/\\]\.\.[\/\\]/g, '').replace(/#.*/, '')) == url)
										{
											active = true;
											break;
										}
									}
								}
							}
						}
					}
					if (active)
					{
						el.className = (el.className ? el.className + ' ' : '') + 'active';
						dt._displayed = true;
						display(dt);
						hide = false;
						var el_parentNode = el.parentNode;
						while (el_parentNode != document.getElementById(id))
						{
							if (el_parentNode.nodeName.toLowerCase() == 'dd')
							{
								var el_sibling = el_parentNode.previousSibling;
								while (el_sibling)
								{
									if (el_sibling.nodeName.toLowerCase() == 'dt')
									{
										el_sibling._displayed = true;
										display(el_sibling)
										break;
									}
									el_sibling = el_sibling.previousSibling;
								}
							}
							el_parentNode = el_parentNode.parentNode;
						}
					}
				}
			}
			if (nodeName == 'dd')
			{
				if (hide) el.style.display = 'none';
				start(el.getElementsByTagName('dt')[0]);
			}
			el = el.nextSibling;
		}
	}
	
	function display(dt, i)
	{
		if (typeof i == 'undefined')
		{
			for (var i = 0; i < dt._dd.length; i++)
			{
				dt._dd[i].style.display = dt._displayed ? 'block' : 'none';
				if (!dt._displayed)
				{
					for (var j = 0; j < dt._dd[i].getElementsByTagName('dt').length; j++)
					{
						dt._dd[i].getElementsByTagName('dt')[j]._displayed = false;
						display(dt._dd[i].getElementsByTagName('dt')[j]);
					}
				}
			}
		}
		else if (i < dt._dd.length)
		{
			var dir = wysun ? !dt._displayed : dt._displayed;
			var n = dir ? i : dt._dd.length - 1 - i;
			dt._dd[n].style.display = dt._displayed ? 'block' : 'none';
			if (!dt._displayed)
			{
				for (var j = 0; j < dt._dd[n].getElementsByTagName('dt').length; j++)
				{
					dt._dd[n].getElementsByTagName('dt')[j]._displayed = false;
					display(dt._dd[n].getElementsByTagName('dt')[j]);
				}
			}
			dt._timoutID = setTimeout(function() { display(dt, i + 1); }, dt._displayed ? czasRozwin : czasZwin);
		}
	}
}

/// indeks.js
/**
 * @author Sławomir Kokłowski {@link http://www.kurshtml.edu.pl}
 * @copyright NIE usuwaj tego komentarza! (Do NOT remove this comment!)
 */

function Indeks(id, ramka)
{
	this.id = id;
	if (typeof ramka == 'undefined') this.ramka = self;
	else if (typeof ramka == 'string')
	{
		if (ramka == '_blank') this.ramka = '';
		else if (ramka == '_self') this.ramka = self;
		else if (ramka == '_parent') this.ramka = parent;
		else if (ramka == '_top') this.ramka = top;
		else this.ramka = ramka;
	}
	else if (!ramka) this.ramka = self;
	else this.ramka = ramka;
	
	this._szukaj = {
		html: '',
		haslo: '',
		i: 0
	};
}

Indeks.prototype.wstaw = function(hasla, adres_bazowy, rozmiar, sortuj)
{
	if (typeof sortuj != 'undefined' && sortuj)
	{
		hasla.sort(
			function(a, b)
			{
				if (a[0] == b[0]) return 0;
				return a[0].compare() < b[0].compare() ? -1 : 1;
			}
		);
	}
	if (typeof sortuj != 'undefined' && sortuj < 0)
	{
		document.write("<pre>");
		for (var i = 0; i < hasla.length; i++)
		{
			document.write("['" + hasla[i][0].addSlashes() + "','" + hasla[i][1].addSlashes() + "']" + (i < hasla.length - 1 ? ",\n" : ""));
		}
		document.write("</pre>");
	}
	else
	{
		document.write(
			'<form id="' + this.id + '" action="javascript:void(0)" onsubmit="' + this.id + '.wyswietl(); return false">' +
				'<input type="text" name="haslo" size="30" onkeyup="' + this.id + '.zaznacz()" class="text" />' +
				'<div><select name="hasla" size="' + (typeof rozmiar != 'undefined' && rozmiar ? rozmiar : 15) + '" ondblclick="' + this.id + '.wyswietl()">'
		);
		for (var i = 0; i < hasla.length; i++)
		{
			document.write('<option value="' + ((typeof adres_bazowy == 'undefined' || !adres_bazowy ? '' : adres_bazowy) + hasla[i][1]).htmlSpecialChars(true) + '"' + (i == 0 ? ' selected="selected"' : '') + '>' + hasla[i][0].htmlSpecialChars() + '</option>');
		}
		document.write(
				'</select></div>' +
				'<input type="submit" value="Wyświetl" class="button" onclick="this.form.submit()" /> <input type="button" value="Szukaj" onclick="' + this.id + '.szukaj()" class="button" />' +
			'</form>' +
			'<div id="' + this.id + '_szukaj"></div>'
		);
		
		var matches = window.location.search.match(new RegExp('[?&]' + this.id + '=([^&]+)'));
		if (matches && typeof matches[1] != 'undefined')
		{
			document.forms[this.id].elements['haslo'].value = unescape(matches[1]);
			this.zaznacz();
			this.szukaj();
		}
	}
}

Indeks.prototype.wstawWyszukiwarke = function(adres)
{
	document.write(
		'<form action="' + adres.htmlSpecialChars(true) + '" method="get" onsubmit="' + this.id + '.wyszukaj(this.action, this.elements[0].value); return false">' +
			'<input type="text" class="text" />' +
			'<input type="submit" value="Szukaj" class="button" />' +
		'</form>'
	);
}

Indeks.prototype.wyszukiwarkaOnline = 0;
Indeks.prototype.zmienWyszukiwarkeOnline = function(n)
{
	for (var i = 0; i < 2; i++)
	{
		document.getElementById(this.id + '__' + i).getElementsByTagName('input')[0].value = document.getElementById(this.id + '__' + Indeks.prototype.wyszukiwarkaOnline).getElementsByTagName('input')[0].value;
		document.getElementById(this.id + '__' + i).style.display = i == n ? 'block' : 'none';
	}
	Indeks.prototype.wyszukiwarkaOnline = n;
}
Indeks.prototype.wstawWyszukiwarkeOnline = function(adresIndeks, adresOnline)
{
	document.write(
		'<form id="' + this.id + '__0" action="' + adresIndeks.htmlSpecialChars(true) + '" method="get" onsubmit="' + this.id + '.wyszukaj(this.action, this.elements[0].value); return false">' +
			'<input type="text" class="text" />' +
			'<span><input type="submit" value="Szukaj" class="button" /></span>' +
		'</form>' +
		
		'<form id="' + this.id + '__1" action="' + adresOnline.htmlSpecialChars(true) + '" method="get" style="display: none">' +
			'<input type="text" name="q" class="text" />' +
			'<input type="submit" value="Szukaj" class="button" />' +
		'</form>' +
		
		'<div>' +
			'<span><input type="radio" id="wyszukiwarka0" name="wyszukiwarka" value="0" checked="checked" style="vertical-align: middle" onclick="' + this.id + '.zmienWyszukiwarkeOnline(this.value)" /><label for="wyszukiwarka0">Indeks</label></span> ' +
			'<span><input type="radio" id="wyszukiwarka1" name="wyszukiwarka" value="1" style="vertical-align: middle" onclick="' + this.id + '.zmienWyszukiwarkeOnline(this.value)" /><label for="wyszukiwarka1">Wyszukiwarka</label></span> ' +
		'</div>'
	);
}

Indeks.prototype.wyszukaj = function(adres, haslo)
{
	var search = adres.match(/#.*/);
	adres = adres.replace(/#.*/, '').replace(new RegExp('[&?]+' + this.id + '=[^&]*', 'g'), '');
	if (adres.indexOf('&') >= 0 && adres.indexOf('?') < 0) adres = adres.replace(/&/, '?');
	this.wyswietl(adres + (adres.indexOf('?') < 0 ? '?' : '&') + this.id + '=' + escape(haslo) + (search ? search : ''));
}

Indeks.prototype.wyswietl = function(adres)
{
	if (typeof adres == 'undefined') adres = document.forms[this.id].elements['hasla'].value;
	if (typeof this.ramka == 'string')
	{
		var okno = window.open(adres, this.ramka, 'menubar=yes,toolbar=yes,location=yes,directories=no,status=yes,scrollbars=yes,resizable=yes');
		if (okno) okno.focus();
		else window.location.href = adres;
	}
	else this.ramka.location.href = adres;
}

Indeks.prototype.zaznacz = function()
{
	var haslo = document.forms[this.id].elements['haslo'].value.toLowerCase();
	for (var i = 0; i < document.forms[this.id].elements['hasla'].options.length; i++)
	{
		if (document.forms[this.id].elements['hasla'].options[i].text.toLowerCase().indexOf(haslo) == 0)
		{
			document.forms[this.id].elements['hasla'].options[i].selected = true;
			break;
		}
	}
}

Indeks.prototype.szukaj = function()
{
	if (!this._szukaj.i)
	{
		if (document.forms[this.id].elements['haslo'].value == '') return;
		var haslo = document.forms[this.id].elements['haslo'].value.toLowerCase().replace(/[^a-ząćęłńóśźż_*?"]+/gi, ' ').replace(/\*/g, '[a-ząćęłńóśźż_]*').replace(/\?/g, '[a-ząćęłńóśźż_]');
		this._szukaj.haslo = haslo.match(/"[^"]+"/g);
		if (!this._szukaj.haslo) this._szukaj.haslo = new Array();
		else
		{
			for (var i = 0; i < this._szukaj.haslo.length; i++)
			{
				var pos = -1;
				var len = this._szukaj.haslo[i].length;
				while ((pos = haslo.indexOf(this._szukaj.haslo[i], pos + 1)) >= 0)
				{
					haslo = haslo.substring(0, pos) + haslo.substring(pos + len);
				}
				this._szukaj.haslo[i] = this._szukaj.haslo[i].replace(/(^[" ]+|[" ]+$)/g, '');
			}
		}
		haslo = haslo.replace(/[" ]+/g, ' ').replace(/(^ | $)/g, '');
		if (haslo != '' && haslo != ' ')
		{
			haslo = haslo.split(' ');
			for (var i = 0; i < haslo.length; i++)
			{
				this._szukaj.haslo[this._szukaj.haslo.length] = haslo[i];
			}
		}
		var oHaslo = new Object();
		for (var i = 0; i < this._szukaj.haslo.length; i++)
		{
			oHaslo[this._szukaj.haslo[i]] = this._szukaj.haslo[i];
		}
		this._szukaj.haslo = new Array();
		for (var haslo in oHaslo)
		{
			if (haslo.length > 2) this._szukaj.haslo[this._szukaj.haslo.length] = new RegExp('(^|[^a-ząćęłńóśźż_])' + haslo + '([^a-ząćęłńóśźż_]|$)');
		}
		this._szukaj.html = '';
		if (this._szukaj.haslo.length == 0) return;
	}
	for (; this._szukaj.i < document.forms[this.id].elements['hasla'].options.length; this._szukaj.i++)
	{
		for (var j = 0; j < this._szukaj.haslo.length; j++)
		{
			if (document.forms[this.id].elements['hasla'].options[this._szukaj.i].text.toLowerCase().search(this._szukaj.haslo[j]) >= 0)
			{
				var tag = new Array('<a href="' + document.forms[this.id].elements['hasla'].options[this._szukaj.i].value.htmlSpecialChars(true) + '"' + (this.ramka ? ' onclick="' + this.id + '.wyswietl(this.href); return false"' : '') + '>', '</a>');
				var text = document.forms[this.id].elements['hasla'].options[this._szukaj.i].text.htmlSpecialChars();
				var pos = this._szukaj.html.indexOf(tag[0]);
				if (pos >= 0)
				{
					var pos = this._szukaj.html.indexOf(tag[1], pos);
					this._szukaj.html = this._szukaj.html.substring(0, pos) + ',<br />' + text + this._szukaj.html.substring(pos);
				}
				else this._szukaj.html += '<li>' + tag[0] + text + tag[1] + '</li>';
				break;
			}
		}
		if (this._szukaj.i && this._szukaj.i < document.forms[this.id].elements['hasla'].options.length - 1 && !(this._szukaj.i % 100))
		{
			document.getElementById(this.id + '_szukaj').innerHTML = Math.floor(this._szukaj.i / document.forms[this.id].elements['hasla'].options.length * 100) + '%';
			this._szukaj.i++;
			setTimeout(this.id + '.szukaj()', 1);
			return;
		}
	}
	document.getElementById(this.id + '_szukaj').innerHTML = '<p>Wyniki wyszukiwania: <em>' + document.forms[this.id].elements['haslo'].value.htmlSpecialChars() + '</em></p>' + (this._szukaj.html == '' ? '' : '<ol>' + this._szukaj.html + '</ol>');
	this._szukaj.i = 0;
}


String.prototype.htmlSpecialChars = function(attribute)
{
	var str = this.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
	if (typeof attribute != 'undefined' && !attribute) str = str.replace(/"/g, '&quot;');
	return str;
}
String.prototype.addSlashes = function(limiter)
{
	if (typeof limiter == 'undefined') limiter = "'";
	var regExp = new RegExp(limiter, 'g');
	return this.replace(/\\/g, '\\\\').replace(regExp, '\\' + limiter);
}
if (!String.prototype._toLowerCase)
{
	String.prototype._toLowerCase = String.prototype.toLowerCase;
	String.prototype.toLowerCase = function()
	{
		return this._toLowerCase().replace(/[ĄĆĘŁŃÓŚŹŻ]/g,
			function(str)
			{
				if (str == 'Ą') return 'ą';
				if (str == 'Ć') return 'ć';
				if (str == 'Ę') return 'ę';
				if (str == 'Ł') return 'ł';
				if (str == 'Ń') return 'ń';
				if (str == 'Ó') return 'ó';
				if (str == 'Ś') return 'ś';
				if (str == 'Ź') return 'ź';
				if (str == 'Ż') return 'ż';
				return str;
			}
		);
	}
}
String.prototype.compare = function()
{
	return this.toLowerCase().replace(/[ąćęłńóśźż]/g,
		function(str)
		{
			if (str == 'ą') return 'aż';
			if (str == 'ć') return 'cż';
			if (str == 'ę') return 'eż';
			if (str == 'ł') return 'lż';
			if (str == 'ń') return 'nż';
			if (str == 'ó') return 'oż';
			if (str == 'ś') return 'sż';
			if (str == 'ź') return 'zż';
			if (str == 'ż') return 'zżż';
			return str;
		}
	);
}